Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.filterExtension
Class FilterExprDefinition

    java.lang.Object
      org.eclipse.birt.report.model.api.filterExtension.FilterExprDefinition

All Implemented Interfaces:
  IFilterExprDefinition

    public class FilterExprDefinition

extends java.lang.Object
implements IFilterExprDefinition

FilterExprDefinition

Field Summary

Fields inherited from interface org.eclipse.birt.report.model.api.filterExtension.interfaces.IFilterExprDefinition
`BIRT_SUPPORT_ONLY, EXPR_MAPPING_SUPPORTED, EXTENSION_SUPPORT_ONLY`

Constructor Summary
`FilterExprDefinition(java.lang.String birtFilterExpr)` Constructor for FilterExprDefinition by BIRT predefined filter expression operator id.

Method Summary
`int` | `expressionSupportedType()` Returns the expression supported type of this FilterExprDefinition.
`java.lang.String` | `getBirtFilterExprDisplayName()` Return the corresponding BIRT predefined Filter expression operator display name.
`java.lang.String` | `getBirtFilterExprId()` Returns the BIRT predefined filter expression operator internal name.
`java.lang.String` | `getExtFilterDisplayName()` Returns the display name of this Filter expression.
`java.lang.String` | `getExtFilterExprId()` Returns the ODA filter extension filter expression id if there is.
`java.lang.Integer` | `getMaxArguments()` Returns the number of arguments that this filter definition can maximize supported.
`java.lang.Integer` | `getMinArguments()` Returns the min arguments required by this filter expression definition.
`java.lang.String` | `getProviderExtensionId()` Returns the ODA filter extension provider ID if there is.
`boolean` | `supportsUnboundedMaxArguments()` Indicates if this filter definition support unbounded max arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterExprDefinition

    public FilterExprDefinition(java.lang.String birtFilterExpr)
                         throws java.lang.IllegalArgumentException

  Constructor for FilterExprDefinition by BIRT predefined filter expression operator id. The instance returned is not mapped to any external ODA extension filter.

  Parameters:
    `birtFilterExpr` - BIRT predefined filter expression operator Id.
  Throws:
    `java.lang.IllegalArgumentException`

Method Detail

### expressionSupportedType

    public int expressionSupportedType()

  Description copied from interface: `IFilterExprDefinition`
  Returns the expression supported type of this FilterExprDefinition. The returned type could be:
  - BIRT_SUPPORT_ONLY
  - EXTENSION_SUPPORT_ONLY
  - EXPR_MAPPING_SUPPORTED

  Specified by:
    `expressionSupportedType` in interface `IFilterExprDefinition`
  Returns:
    the expression supported type.

### getBirtFilterExprDisplayName

    public java.lang.String getBirtFilterExprDisplayName()

  Description copied from interface: `IFilterExprDefinition`
  Return the corresponding BIRT predefined Filter expression operator display name.

  Specified by:
    `getBirtFilterExprDisplayName` in interface `IFilterExprDefinition`
  Returns:
    BIRT predefined filter operator name, if there is. Null, if there is no mapped one.

### getBirtFilterExprId

    public java.lang.String getBirtFilterExprId()

  Description copied from interface: `IFilterExprDefinition`
  Returns the BIRT predefined filter expression operator internal name.

  Specified by:
    `getBirtFilterExprId` in interface `IFilterExprDefinition`
  Returns:
    BIRT predefined filter operator internal name, if there is. Return Null if this definition is not mapped to a BIRT predefined filter expression.

### getExtFilterDisplayName

    public java.lang.String getExtFilterDisplayName()

  Description copied from interface: `IFilterExprDefinition`
  Returns the display name of this Filter expression.

  Specified by:
    `getExtFilterDisplayName` in interface `IFilterExprDefinition`
  Returns:
    display name of the filter expression.

### getExtFilterExprId

    public java.lang.String getExtFilterExprId()

  Description copied from interface: `IFilterExprDefinition`
  Returns the ODA filter extension filter expression id if there is.

  Specified by:
    `getExtFilterExprId` in interface `IFilterExprDefinition`
  Returns:
    ODA extension filter expression id if there is. Null, if not applicable.

### getMaxArguments

    public java.lang.Integer getMaxArguments()

  Description copied from interface: `IFilterExprDefinition`
  Returns the number of arguments that this filter definition can maximize supported.

  Specified by:
    `getMaxArguments` in interface `IFilterExprDefinition`
  Returns:

### getMinArguments

    public java.lang.Integer getMinArguments()

  Description copied from interface: `IFilterExprDefinition`
  Returns the min arguments required by this filter expression definition.

  Specified by:
    `getMinArguments` in interface `IFilterExprDefinition`
  Returns:
    the min number of arguments that required by this filter definition.

### getProviderExtensionId

    public java.lang.String getProviderExtensionId()

  Description copied from interface: `IFilterExprDefinition`
  Returns the ODA filter extension provider ID if there is.

  Specified by:
    `getProviderExtensionId` in interface `IFilterExprDefinition`
  Returns:
    ODA filter extension provider ID, if there is. Null, if there is no ODA extension filter applicable.

### supportsUnboundedMaxArguments

    public boolean supportsUnboundedMaxArguments()

  Description copied from interface: `IFilterExprDefinition`
  Indicates if this filter definition support unbounded max arguments.

  Specified by:
    `supportsUnboundedMaxArguments` in interface `IFilterExprDefinition`
  Returns:
    true if it supported unbounded max arguments, false, if it does not support.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.